/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include "Configuration.h"
#include "Xml.h"
#include "Debug.h"
#include "Quit.h"

void Read_Config(){
	xmlDocPtr doc = NULL;
	xmlNode  *root_element = NULL;
	xmlNodePtr xmlnode = NULL;
	

	Config_Path_Logs = NULL;
	Config_User = NULL;
	Config_Password = NULL;
	Config_Path = NULL;

    if ((root_element = OpenXml(DEFAULT_CONFIG_STATIC,CONFIG_NAME , &doc)) == NULL){
		 if ((root_element = OpenXml(DEFAULT_CONFIG, CONFIG_NAME, &doc)) == NULL)	{
			printf("File not found [" CONFIG_NAME "]\n");
			 exit(ARRET_GENERALE);
		 }
		 else
			 Config_Path = DEFAULT_CONFIG;
	 }
	 else
		 Config_Path = DEFAULT_CONFIG_STATIC;
	xmlnode = root_element;
	XML_READ_STRING(Config_Path_Logs,"Path_Logs",DEFAULT_LOG) ;
	XML_READ_STRING(Config_Password,"Password","default_password");
	if (port_ecoute == -1)
		XML_READ_INT(port_ecoute,"Port",4555);
	CloseXml(&doc);
}
