/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __CONFIGURATION
#define        __CONFIGURATION

#include <glib.h>

#define   DEFAULT_CONFIG_STATIC  "config/autoscan-network-daemon.xml"
#ifndef  __DARWIN_ENABLE
#define   DEFAULT_CONFIG  "/usr/share/apps/autoscan-network/autoscan-network-daemon.xml"
#else
#define   DEFAULT_CONFIG  "/opt/AutoScan-Network/usr/share/apps/autoscan-network/autoscan-network-daemon.xml"
#endif
#define   DEFAULT_LOG "/var/log/autoscan-network-daemon/"
#define   CONFIG_NAME  "config-autoscan-network-daemon"

gchar *Config_Path_Logs;
gchar *Config_User;
gchar *Config_Password;
gchar *Config_Path;
void Read_Config();
#endif
