/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __DECLARATION
#define         __DECLARATION

#include <glib.h>
#include "config.h"

#define VERSION_AUTOSCAN "AutoScan Network " VERSION
#define VERSION_AGENT	 "AutoScan Network Agent " VERSION " [" QUANTIEME "]"
#ifndef    __MSVC_ENABLE
static const char version_compiled[] = "Compiled on " HOSTNAME_COMPILE " (" PLATFORM " " KERNEL " )\n\ncompiled at " __TIME__ " on " __DATE__  " \ngcc " __VERSION__;
static const char version[] = VERSION_AUTOSCAN ", compiled at " __TIME__ " on " __DATE__ ;
#else
static const char version_compiled[] = "MSVC";
static const char version[] = VERSION_AUTOSCAN;
#endif
int	Pid_Agent_Service;
gint port_ecoute;

#define TRAME_IP	0x0800
#define IP_ADDR_LEN	4
#define IP_VERSION4	0x4

#ifdef  __DARWIN_ENABLE
#define SOCK_PACKET SOCK_RAW
#define ETH_ALEN        6
#define ETH_P_ALL       0x0003
#endif

#define TRAME_ARP	0x0806

#define UDP		0x11

#define TCP 	0x06

#define ICMP	0x01

#define NETBIOS		0x89
#define REGISTRATION_GROUP 1
#define REGISTRATION_UNIQUE 2
#define NBNS		0x89

#define MASTER_ANNONCE	0x0f
#define HOST_ANNONCE	0x01

typedef long long int time_t64;
#endif
