/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __LISTE_SOUS_RESEAU
#define         __LISTE_SOUS_RESEAU

#include <glib.h>
#include "Reseau.h"

struct Struct_Liste_Reseau {
	unsigned char Sous_Reseau[IP_ADDR_LEN];
	gboolean  Deja_Scanner;
	gboolean  Ma_Plage;
	gboolean  Speed_Scan;
};

GList    *GList_Sous_Reseau;

gint      Recherche_Index_Sous_Reseau (gchar * Sous_Reseau);
void      Ajout_Sous_Reseau (gchar * Sous_Reseau, gboolean Scanne_Plage, gboolean MaPlage);
void      Initialisation_Liste_Sous_Reseau (void);
void      Scanne_Liste_Sous_Reseau_Restaurer (gint Nb_Sous_Reseau_Restorer);
void Scanne_Tous_Sous_Reseau ();

#define PROTECT_GLIST_LISTE_SOUS_RESEAU()	G_STMT_START{ PROTECT_CODE(Sem_GList_Liste_Sous_Reseau); }G_STMT_END
#define DEPROTECT_GLIST_LISTE_SOUS_RESEAU()	G_STMT_START{ DEPROTECT_CODE(Sem_GList_Liste_Sous_Reseau); }G_STMT_END
#endif
