/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __QUIT
#define         __QUIT

#include <glib.h>

#define ARRET_GENERALE 254	

enum enum_Niveau_Arret{
	A_START = 0,		
	A_STOP_DEBUG_THREAD,
	A_STOP_BACKTRACE,
	A_STOP_DEBUG_MEM,
	A_STOP_CLOSE_SOCKET,
	A_STOP_IMMEDIAT
};

struct Struct_Niveau_Arret {
	int      Niveau;
	gchar    *Info;
};

int Niveau_Arret;

void Change_Niveau_Arret(int Niveau);
void      Arret_Demande (gpointer * Message);
void 	  Arret_Immediat();
#ifdef  __SIGNAL_ENABLE
void Transmet_Thread_Main( int signum, siginfo_t *info, void *secret);
#endif
#define CHANGE_NIVEAU_ARRET(_NIVEAU)		G_STMT_START{														\
	PROTECT_CODE(Semaphore_Niveau_Arret);																					\
	if ((!pthread_equal( pthread_self(), mainThreadId )) && (Niveau_Arret >= _NIVEAU))					\
		pause();  																																	\
	Change_Niveau_Arret(_NIVEAU);																									\
	DEPROTECT_CODE(Semaphore_Niveau_Arret);																				\
	}G_STMT_END	
	
	
#endif
