/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __SCAN_EQUIPEMENT
#define         __SCAN_EQUIPEMENT

#include "Reseau.h"
#include "Liste_Equipement.h"

enum enum_Scan_Port {
	SCAN_FTP = 0,
	SCAN_HTTP,
	SCAN_IMAP,
	SCAN_SMTP,
	SCAN_SSH,
	SCAN_TELNET,
	SCAN_SIP,
	SCAN_POP3,
	SCAN_VNC0,
	SCAN_VNC1,
	SCAN_RTSP,
	SCAN_IPP,
	SCAN_VNC_HTTP
};
	
struct Struct_Modele_Scan_Port {
	gint      	ID_Scan_Port;
	gchar		*Info;
	void 		(*FonctionRecupBanniere) (struct Struct_Liste_Equipement *);
	gint			Num_Port;
	gint 		NiveauProgress; 
	gint 		MaxSizeEntete;
};

void 	Scan_Port (gint Id_Scan,struct Struct_Liste_Equipement *Equipement,gchar *Entete,time_t64 *Start,time_t64 *Stop, gint *Temp,gint *TempResultat);
void     Scanne_Equipement (struct Struct_Liste_Equipement *Equipement);
void     Demande_Rafraichir_Equipement (gpointer * Donnee);
void 	Retour_Info_Scan(gint Pourcentage,gchar *Info,struct Struct_Liste_Equipement *Equipement);
void 	Retour_Post_Nouveau_Equipement(struct Struct_Liste_Equipement *Equipement);
#endif
