/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gtk/gtk.h>

#include "Erreur_Callbacks.h"
#include "Erreur_Interface.h"
#include "Debug.h"
#include "Quit.h"
#include "Contribution.h"


gboolean on_window_Erreur_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data)
{
	return TRUE;
}


void on_button_Erreur_Inform_clicked (GtkButton * button, gpointer user_data)
{
	contribution_Erreur((gchar *)gtk_label_get_text(GTK_LABEL (label_Erreur)));
	gtk_widget_hide(window_Erreur);

		Arret_Erreur ();
}


void on_button_Erreur_Quitter_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide(window_Erreur);	

		Arret_Erreur ();
}
