/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gtk/gtk.h>
#include <string.h>
#include "WakeUp_Callbacks.h"
#include "WakeUp_Interface.h"
#include "Debug.h"
#include "Commun.h"
#include "Win32.h"

void on_button_WakeUp_clicked (GtkButton *button, gpointer user_data)
{
	struct struct_Demande_WakeUp Message;

	bzero (&Message, sizeof (struct struct_Demande_WakeUp));
	Message.ID_Reseau = ID_Reseau_En_Cours;
	memcpy (Message.ID_Equipement, Equipement_Selectionner->ID_Equipement, MAC_ADDR_LEN + IP_ADDR_LEN + 1);
	Communication_Envoie_Donnee (Reseau_Selectionner->Pid_Agent, DEMANDE_WAKE_UP, (gpointer *) & Message, sizeof (Message), Reseau_Selectionner);
}
