/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __INIT_COMMUNICATION
#define         __INIT_COMMUNICATION

#include <glib.h>
#include "config.h"

#ifndef         __WINDOWS_ENABLE
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <sys/ioctl.h>
	#include <net/if.h>
	#include <netinet/if_ether.h>
	#include <netinet/in.h>
	#include <arpa/inet.h>
	#ifdef         __LINUX_ENABLE
		#include <linux/sockios.h>
	#endif
#else



#endif

#ifdef         __PCAP_ENABLE
#include <pcap.h>
#endif

#include "Commun.h"

gint      Pid_AutoScan;
gint	  Socket_Service;
gboolean  Demarrage_Complet_Agent; 
int       client_id;
struct struct_Demarrage_Agent Info_Demarrage;

void      Demarrage_Agent (gpointer * Donnee);
void      Envoie_Version_Agent (void);
void      Envoie_Liste_Interface (gpointer * Donnee);

#endif
