/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __INFO
#define         __INFO

#include <glib.h>
#ifdef         __SEMAPHORE_ENABLE
	#include <semaphore.h>
#endif
#include <sys/types.h>
#include <unistd.h>
#ifdef         __WINDOWS_ENABLE  
#include "Win32.h"  
#endif  
#include "Semaphore.h"
#include "Info.h"
#include "Commun.h"
#include "Initialisation_Com.h"
#include "Debug.h"
#include "Thread.h"
#include "Mem.h"

gint      Nb_Octet_Envoye;
gint      Nb_Octet_Recu;
gint      Nb_Machine_Dans_La_Liste;
gint      Nb_Machine_En_Cours_De_Scan;
gint      Nb_Machine_En_Attente_De_Scan;


void      Info_Agent (void);
void      Nouveau_Octet_Envoye (int Nb_Octet);
void      Nouveau_Octet_Recu (int Nb_Octet);
void      Initialisation_Info (void);
#endif
