/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __PORT_UDP
#define         __PORT_UDP

#include "Reseau.h"
#include "Liste_Equipement.h"
#include "Semaphore.h"

enum enum_Etat_Port_UDP {
	UNKOWN_UDP = 4,
	FERMER_UDP
};

void Initialisation_Liste_Port_UDP_Equipement (struct Struct_Liste_Equipement *Equip);
gboolean Test_Retour_Port_UDP_Equipement (struct Struct_Liste_Equipement *Equip);
void Modifie_Etat_Port_UDP_Equipement (struct Struct_Liste_Equipement *Equip, gint Num_Port, gint Nouvelle_Etat);
gint Get_Etat_Port_UDP(struct Struct_Liste_Equipement *Equipement, gint i);
		
#define PROTECT_LISTE_ETAT_UDP()	G_STMT_START{ PROTECT_CODE(Sem_Liste_Etat_Udp); }G_STMT_END	
#define DEPROTECT_LISTE_ETAT_UDP()	G_STMT_START{ DEPROTECT_CODE(Sem_Liste_Etat_Udp); }G_STMT_END	

#endif
