/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __THREAD_RAFRAICHIR_INFO_EQUIPEMENT
#define        __THREAD_RAFRAICHIR_INFO_EQUIPEMENT

#include "Notification_Equipement.h"

struct Struct_Liste_Equipement *Equipement_En_Cours_Raffraichi_Info;
	
void Rafraichir_Info_Equipement (gpointer * Donnee);
void Thread_Rafraichir_Info_Equipement (struct Struct_Liste_Equipement *Equipement);
gboolean Rafraichir_Info_Equipement_Actuel(struct Struct_Liste_Equipement *Equipement);
	

#define ETAPE_SUIVANTE_INFO_EQUIPEMENT(_equipement) G_STMT_START{							\
	if (!Rafraichir_Info_Equipement_Actuel(_equipement))															\
		Stop_Thread (NULL);																										\
	}G_STMT_END
#endif
