/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __ANIMATION
#define         __ANIMATION

#include "Objet.h"

int       ptimer_Rachaichissement_Liste, ptimer_Alerte_Liste, ptimer_Test_Etat_Liste;
GdkPixbuf *Image_Rachaichissement[11];
int       Etat_Rafraichissement;
gboolean  Alerte_Affichage;
gboolean  Test_Etat_Affichage;

void      refresh (void);
void      Change_Couleur_Texte_Liste (struct Struct_Modele_Objet *Objet, guint16 red, guint16 green, guint16 blue, struct Struct_Liste_Reseau *Reseau);
void      Change_Bold_Texte_Liste (struct Struct_Modele_Objet *Objet, gboolean Bold, struct Struct_Liste_Reseau *Reseau);
void      Change_Couleur_Rouge_Texte_liste (struct Struct_Modele_Objet *Objet, struct Struct_Liste_Reseau *Reseau);
void      Change_Couleur_Gris_Texte_liste (struct Struct_Modele_Objet *Objet, struct Struct_Liste_Reseau *Reseau);
void      Change_Couleur_Blanc_Texte_liste (struct Struct_Modele_Objet *Objet, struct Struct_Liste_Reseau *Reseau);
void      Change_Couleur_Noir_Texte_liste (struct Struct_Modele_Objet *Objet, struct Struct_Liste_Reseau *Reseau);
void      Change_Texte_Alerte_Liste (struct Struct_Modele_Objet *Objet, struct Struct_Liste_Reseau *Reseau);
void      Change_Icone_Liste (struct Struct_Modele_Objet *Objet, GdkPixbuf * Liste_Image[], int Icone_Animation, struct Struct_Liste_Reseau *Reseau);
void      Change_Icone_Rachaichissement_Liste (struct Struct_Modele_Objet *Objet, int Icone_rachaichissement, struct Struct_Liste_Reseau *Reseau);
void		 Change_Couleur_Ligne_Liste (struct Struct_Modele_Objet *Objet, guint16 red, guint16 green, guint16 blue, struct Struct_Liste_Reseau *Reseau);
void      Charge_Rachaichissement_Icone_Liste (void);
gboolean  timer_Rachaichissement_Liste (void);
gboolean  timer_Alerte_Liste (void);
gboolean  timer_Test_Etat_Liste (void);
#endif
