/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __EQUIPEMENT_HISTORIQUE
#define         __EQUIPEMENT_HISTORIQUE

#include <gtk/gtk.h>
#include <time.h>
#include "Equipement.h"

enum enum_Historique {
	HISTORIQUE_INFO = 0,
	HISTORIQUE_WARNING,
	HISTORIQUE_ALERTE
};


struct Struct_Historique {
	time_t64  Date;
	gint      Niveau_Historique;
	gchar    *Historique;
};

struct Struct_Historique *Ajouter_Historique (struct Struct_Equipement *Equipement, gchar * Chaine, gint Niveau_Historique);
#endif
