/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __SETTINGS
#define         __SETTINGS

#include <libxml/tree.h>
#include <libxml/parser.h>

struct Struct_Settings {
	GList    *GList_Signature;
	GList    *GList_Port;
	GList    *GList_Script;
	GList    *GList_Restore;
};

struct Struct_Settings *Settings;

void      Enregistre_Champ_Connection_Internet (void);
void      Preparation_Interface_Settings (void);
void      Affiche_Champ_Connection_Internet (void);
void      Initialisation_Settings (void);
void      free_gchar_if_no_null (gchar * chaine);
void      Enregistre_Parametre_General (void);
void      Restaure_Parametre_General (void);
void Afficher_Info_Entree_Texte(GtkWidget *entry,gchar *donnee);
#endif
