/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __SETTINGS_RESTORE
#define         __SETTINGS_RESTORE

#include <libxml/tree.h>
#include <libxml/parser.h>


enum {
	COL_PATH_RESTORE = 0,
	POINTER_RESTORE,
	NUM_COLS_RESTORE
};


struct Struct_Liste_Restore {
	GtkTreeIter ID_Arbre_Ligne;

	gchar    *Path;
};


struct Struct_Liste_Restore *Restore_Modification, *Restore_Selectionner;
gboolean  Liste_Restore_Modification_Interface;
gchar    *Fichier_En_Cours_Restoration;

void      Create_Liste_Restore (void);
gboolean  Lit_Xml_Restore_Fichier (char *fname);
void      Afficher_Liste_Restore (void);
void      Initialisation_Liste_Restore (void);
void      Liste_Restore_Efface_Champs (void);
void      Liste_Restore_Sensible (gboolean bool);
void      Initialisation_Liste_Restore (void);
void      Affiche_Restore (struct Struct_Liste_Restore *Restore);
void      Afficher_Liste_Restore (void);
void      Supprime_Restore_liste (struct Struct_Liste_Restore *Restore);
struct Struct_Liste_Restore *Modifie_Ajouter_Restore_Dans_Glist (void);
void      Modifie_Ajoute_Nouveau_Restore (void);
void      Enregistrement_Donnee_Xml_Restore (void);
void      Restoration_Liste_Fichier (void);
#endif
