/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef        __SNMP
#define        __SNMP

#include <gtk/gtk.h>
#include "Equipement.h"

struct struct_Liste_Snmp {
	gint      Colonne;
	gint      Ligne;
	gchar    *Info;
};


struct struct_Colonne_Liste_Snmp {
	gint      ID_Snmp;
	gint      Colonne;
	gint      Colonne2;
	gint	  Type_Colonne;
	gchar    *Nom_Colonne;
};

enum enum_Type_Colonne {
	COLONNE_TEXTE = 0,
	COLONNE_PROGRESS
};


void      Recuperation_Liste_Snmp (gpointer * Donnee);
void      Affiche_Snmp (gpointer * pointer);
void Afficher_Utilisation_Disque();
GtkWidget *Create_Liste_Snmp(gint ID_Snmp);
void Affiche_Liste_Snmp(gint ID_Snmp,GtkWidget *treeview);
void Retour_Efface_Liste_Snmp(gpointer * Donnee);
void Retour_Liste_Snmp_Scalaire(gpointer * Donnee);
void Demande_Agent_Raffraichir_Liste_Snmp(struct Struct_Modele_Objet *Objet,struct Struct_Equipement *Equipement,struct Struct_Liste_Reseau *Reseau,gint ID_Snmp);
void Demande_Agent_Raffraichir_Tout_Liste_Snmp(struct Struct_Modele_Objet *Objet,struct Struct_Equipement *Equipement,struct Struct_Liste_Reseau *Reseau);
void Demande_Agent_Raffraichir_Snmp_Scalaire(struct Struct_Modele_Objet *Objet,struct Struct_Equipement *Equipement,struct Struct_Liste_Reseau *Reseau);
#endif
